Package com.sun.jna.platform.win32

## Class IPHlpAPI.MIB_IFROW

- java.lang.Object
- - com.sun.jna.Structure
  - - com.sun.jna.platform.win32.IPHlpAPI.MIB_IFROW

Enclosing interface:
  IPHlpAPI

    @FieldOrder({"wszName","dwIndex","dwType","dwMtu","dwSpeed","dwPhysAddrLen","bPhysAddr","dwAdminStatus","dwOperStatus","dwLastChange","dwInOctets","dwInUcastPkts","dwInNUcastPkts","dwInDiscards","dwInErrors","dwInUnknownProtos","dwOutOctets","dwOutUcastPkts","dwOutNUcastPkts","dwOutDiscards","dwOutErrors","dwOutQLen","dwDescrLen","bDescr"})
    public static class IPHlpAPI.MIB_IFROW
    extends Structure

The MIB_IFROW structure stores information about a particular interface.

See Also:
  MIB_IFROW

### Nested Class Summary

### Nested classes/interfaces inherited from class com.sun.jna.Structure

`Structure.ByReference, Structure.ByValue, Structure.FieldOrder, Structure.StructField`

### Field Summary

Fields
`byte[]` `bDescr`
`byte[]` `bPhysAddr`
`int` `dwAdminStatus`
`int` `dwDescrLen`
`int` `dwIndex`
`int` `dwInDiscards`
`int` `dwInErrors`
`int` `dwInNUcastPkts`
`int` `dwInOctets`
`int` `dwInUcastPkts`
`int` `dwInUnknownProtos`
`int` `dwLastChange`
`int` `dwMtu`
`int` `dwOperStatus`
`int` `dwOutDiscards`
`int` `dwOutErrors`
`int` `dwOutNUcastPkts`
`int` `dwOutOctets`
`int` `dwOutQLen`
`int` `dwOutUcastPkts`
`int` `dwPhysAddrLen`
`int` `dwSpeed`
`int` `dwType`
`char[]` `wszName`

### Fields inherited from class com.sun.jna.Structure

`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

### Constructor Summary

Constructors
`MIB_IFROW()`

### Method Summary

### Methods inherited from class com.sun.jna.Structure

`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### wszName

    public char[] wszName

#### dwIndex

    public int dwIndex

#### dwType

    public int dwType

#### dwMtu

    public int dwMtu

#### dwSpeed

    public int dwSpeed

#### dwPhysAddrLen

    public int dwPhysAddrLen

#### bPhysAddr

    public byte[] bPhysAddr

#### dwAdminStatus

    public int dwAdminStatus

#### dwOperStatus

    public int dwOperStatus

#### dwLastChange

    public int dwLastChange

#### dwInOctets

    public int dwInOctets

#### dwInUcastPkts

    public int dwInUcastPkts

#### dwInNUcastPkts

    public int dwInNUcastPkts

#### dwInDiscards

    public int dwInDiscards

#### dwInErrors

    public int dwInErrors

#### dwInUnknownProtos

    public int dwInUnknownProtos

#### dwOutOctets

    public int dwOutOctets

#### dwOutUcastPkts

    public int dwOutUcastPkts

#### dwOutNUcastPkts

    public int dwOutNUcastPkts

#### dwOutDiscards

    public int dwOutDiscards

#### dwOutErrors

    public int dwOutErrors

#### dwOutQLen

    public int dwOutQLen

#### dwDescrLen

    public int dwDescrLen

#### bDescr

    public byte[] bDescr

### Constructor Detail

#### MIB_IFROW

    public MIB_IFROW()